//
// IBM VisualAge for Java for AS/400 Feature for Windows
//
// Installation Control File.
//
[PRODUCT]
  CompanyName    =IBM
//.......... DO NOT TRANSLATE THE LINE BELOW ...............//
//  ProductRegistry=VisualAge for Java AS/400 Feature
  ProductRegistry=VisualAge for Java AS/400 Feature
  ProductName    =AS/400 Feature
  ProductVersion =1.0
  ProductKey     =GenericProgramCall.class
  UninstallKey   =IBM VisualAge for Java AS/400 Feature
  ShortTitle     =VisualAge for Java AS/400 Feature
//  FullTitle      =IBM
//  FullTitle      =VisualAge for Java for AS/400 Feature
//.............. This is the final version name please translate ......//
//  FullTitle      =Release 1.0 for Windows
//.............. DO NOT TRANSLATE the ServiceTitle and PackageTitle lines.....//
  ServiceTitle   =IBM
  ServiceTitle   =VisualAge for Java AS/400 Feature
  ServiceTitle   =Version 1.0.1NL for Windows [Service Pack 1]
  PackageTitle   =1.0 for Windows  [Packaging]
//
  GetRegistryString=VAJDIR{\SOFTWARE\IBM\VisualAge for Java for Windows\1.0\Install(Directory)}
  ProductDir     =<VAJDIR>\AS400
//  FolderDefault  =IBM VisualAge for Java
  GetRegistryString=VAJFOLDER{\SOFTWARE\IBM\VisualAge for Java for Windows\1.0\Install(Folder)}
  FolderDefault  =<VAJFOLDER>\AS400 Feature
  ReadMeFile     =\MRM\relnotes\readme.txt
  ProductSize      =96846400
  NationalLanguages =English,mri2924
  NationalLanguages =German,mri2929,Japanese,mri2962
//
  DeleteFile     =\vj4delet.fls
  SideBitmap     =\vj4dilog.bmp
//  ServerInstallation=\IBMVJavaLAN\AS400
//  ProgressPlace - Progress Indicator Position in (X,Y) pixels from Lower Right Corner
  ProgressPlace  =45,100
  BillBoards     =\vj4bilbd.fls
  VGABoards      =\vj4bilbd.vga
  ServiceFile    =\vj4packs.100
  OneSetup       =CUSTOM
  CheckTCPIPSetup = Yes

//***************************************************************************//
// 000 COMPONENT - AS/400 Feature Base                                       //
//***************************************************************************//
[000 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =AS/400 Feature Base
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4root.fls
  NotInSetup     =
  Dependency     =

  Environment     =PATH{\bin}AT_FRONT

//***************************************************************************//
// 001 HIDDEN COMPONENT Communication                                        //
//***************************************************************************//
[001 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =Communication
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4comm.fls
  NotInSetup     =
  Dependency     =

//***************************************************************************//
// 002 AS/400 Feature - Java Runtime Environment                             //
//     Note: JRE does not need to set PATH and CLASSPATH environment         //
//           variables.                                                      //
//***************************************************************************//
[002 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =Java Runtime Environment 1.1.4
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4jre.fls
  NotInSetup     =
  Dependency     =

RunApplication    =\bin\vj4jrein.bat{\bin}

//***************************************************************************//
// 003 AS/400 Feature - Cooperative Debugger                                 //
//***************************************************************************//
[003 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =Cooperative Debugger
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4debug.fls
  NotInSetup     =
  Dependency     =

   [FOLDER]
//      AppFolder    =IBM VisualAge for Java for Windows\AS400 Feature
      AppFolder    =

      [APPLICATION]
        ApplicationName =Cooperative Debugger
        CommandLine     =\bin\idebugas.exe
        IconFullName    =
        WorkingDir      =
        ApplicationPath =\bin
        RegistryString  =Configuration Path{\bin}

        CommandLine     =\bin\dlogoff.exe
        ApplicationPath =\bin

        CommandLine     =\bin\idebugas.exe
        ApplicationPath =\bin

//***************************************************************************//
// 004 AS/400 Feature - AS/400 Toolbox for Java Documentation                //
//***************************************************************************//
[004 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =AS/400 Toolbox Help
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4jtdoc.fls
  NotInSetup     =
  Dependency     =

    [FOLDER]
//      AppFolder    =IBM VisualAge for Java for Windows\AS400 Feature\Information
      AppFolder    =Information

      [APPLICATION]
        ApplicationName =AS400 Toolbox for Java HTML Help
        CommandLine     =\doc\jt400\rzahh.htm
        IconFullName    =\images\help.ico
        WorkingDir      =\doc\jt400
        ApplicationPath =\doc\jt400

//***************************************************************************//
// 005 AS/400 Feature - Documentation                                        //
//***************************************************************************//
[005 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =AS/400 Feature Help
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4sgdoc.fls
  NotInSetup     =
  Dependency     =


    [FOLDER]
      FolderName   =doc\concepts
      FolderName   =doc\getstart
      FolderName   =doc\images
      FolderName   =doc\tasks
//      AppFolder    =IBM VisualAge for Java for Windows\AS400 Feature\Information
      AppFolder       =Information


      [APPLICATION]
        ApplicationName =AS400 Feature HTML Help
        CommandLine     =\doc\index.htm
        IconFullName    =\images\help.ico
        WorkingDir      =\doc
        ApplicationPath =\doc


//***************************************************************************//
// 006 AS/400 Feature - Cooperative Debugger Online Help and Documentation   //
//***************************************************************************//
[006 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =Cooperative Debugger Help
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4dbdoc.fls
  NotInSetup     =
  Dependency     =


    [FOLDER]
//      AppFolder    =IBM VisualAge for Java for Windows\AS400 Feature\Information
     AppFolder       =Information

      [APPLICATION]
        ApplicationName =Cooperative Debugger Help
        CommandLine     =\bin\iview.exe \help\cttdhx1.hlp
        IconFullName    =
        WorkingDir      =\bin
        ApplicationPath =\bin


  Environment     =HELP{\help}
  Environment     =BOOKSHELF{\help}
  Environment     =IPF_PATH32{\}ADD_ONE


//***************************************************************************//
// 007 AS/400 Feature - Examples                                             //
//***************************************************************************//
[007 COMPONENT]
  DisplayType    =Hidden
  ComponentName  =Examples
  ComponentSize  =
  CompactSize    =
  FilesList      =vj4examp.fls
  NotInSetup     =
  Dependency     =

RunApplication    =\bin\vj4cpyif.bat{vj4examp \lib <VAJDIR>}

//***************************************************************************//
// 008 AS/400 Feature                                                        //
//***************************************************************************//
[008 COMPONENT]
  DisplayType    =Display
  ComponentName  =AS/400 Feature
  ComponentSize  =35665874
  CompactSize    =35665874
  FilesList      =vj4sg.fls
  NotInSetup     =
  Dependency     =000,001,002,003,004,005,006,007
  
    [FOLDER]
      FolderName   =tmp
      FolderName   =config
//      AppFolder    =IBM VisualAge for Java for Windows\AS400 Feature
      AppFolder    =

      [APPLICATION]
        ApplicationName =ReadMe
        CommandLine     =notepad.exe \relnotes\readme.txt
        IconFullName    =
        WorkingDir      =\relnotes
        ApplicationPath =\relnotes

      [APPLICATION]
        ApplicationName =Release Notes
        CommandLine     =\relnotes\relnote.htm
        IconFullName    =
        WorkingDir      =\relnotes
        ApplicationPath =\relnotes

      [APPLICATION]
        ApplicationName =Convert Display File
        CommandLine     =\vj4ddsaw.bat \
        IconFullName    =\images\dds2awt.ico
        WorkingDir      =\
        ApplicationPath =\

      [APPLICATION]
        ApplicationName =Create AS400 Program Call
        CommandLine     =\vj4prgcl.bat
        IconFullName    =\images\pgmcall.ico
        WorkingDir      =\
        ApplicationPath =\

      [APPLICATION]
        ApplicationName =Export Java Files
        CommandLine     =\vj4exprt.bat
        IconFullName    =\images\export.ico
        WorkingDir      =\
        ApplicationPath =\

      [APPLICATION]
        ApplicationName =Compile AS400 Java Class
        CommandLine     =\vj4compl.bat
        IconFullName    =\images\compile.ico
        WorkingDir      =\
        ApplicationPath =\

  Environment     =CLASSPATH{\lib\jt400.zip}NT_SYSTEM
  Environment     =CLASSPATH{\lib\vj4util.zip}NT_SYSTEM

RunApplication    =\bin\vj4cpyif.bat{vj4util \lib <VAJDIR>}

//***************************************************************************//
// 009 AS/400 Feature - Import AS/400 Toolbox in VisualAge for Java          //
//***************************************************************************//
[009 COMPONENT]
  DisplayType    =Display
  ComponentName  =Import Toolbox in VA Java
  ComponentSize  =27116000
  CompactSize    =27116000
  FilesList      =vj4jt400.fls
  NotInSetup     =Custom
  Dependency     =000
 
RunApplication    =\bin\vj4cpyi2.bat{vj4jt400 \lib <VAJDIR>}

//***************************************************************************//
// Post Install -                                                            //
//   Install Toolbox, AS/400 Feature, and Samples in VA Java IDE Repository  //
//***************************************************************************//

//RunApplication    =\bin\vj4ideup.bat{<VAJDIR>}


